 "ULTIMATE VIRUS KILLER" HISTORY AND VERSION NOTES

- Version notes prior to version 5.1 have been deleted from this file.

- Version 5.1GB (June 27th 1991)

 Name  changed  from "Atari ST Virus Killer" to "Ultimate  Virus  Killer"  for 
marketing reasons.

* The  fill  factor  routine  has been fully  reprogrammed  and  now  actually 
  indicates something proper.
* Extra parameters have been included in the internal program code so that you 
  can now also get rid of MS-DOS/virus free/boot demo/etc. disks.
* Fifth Rob Northen Copylock bootsector protection analyser included.
* The  repair  option screen has been entirely replaced by  a  better  version 
  (written by Stefan Posthuma).
* TOS version is status display is now in the new,  correct Atari format (e.g. 
  1.04 instead of 1.4).
* Non-executable bootsector virus offset included for MEGA STE TOS and TT TOS.
* Virus names have been revised.
* New Pack Ice routines used on data-and program-file.
* Permanent help mode can be toggled on/off by pressing the HELP key to exit a 
  help screen.
* Drive B is no longer selectable if not present.
* Alert box optics enhanced by means of a reversable line.

 Its  main statistics:  829 recognized bootsectors (some of the existing  ones 
have  been  improved),   52  recognized  bootsector  viruses,   5   recognized 
link viruses,  32 recognized anti-viruses,  74 recognized special applications 
(some  existing  ones  have also been improved) and  430  bootsectors  can  be 
restored.

- Version 5.1NL (June 27th 1991)

 Identical to version 5.1GB apart from the name (which now is "ACN Final Virus 
Killer") and some texts (which were translated into Dutch).

- Version 5.0D GB (July 1st 1991)

 Principally identical to version 5.1GB, but lots of less useful routines were 
discarded for it to take up less space on the disk for which it was  intended: 
The "ST Format" September 1991 issue cover disk.  A pure demo,  which is  very 
much limited when compared with the what what the real version can  do.  Also, 
this demo version is Public Domain - i.e.  you're allowed to spread it as much 
as possible, and include it on Bulletin Boards and PD Libraries.
 The version number was decreased for marketing reasons.

- Version 5.0D NL (July 1st 1991)

 Identical  to version 5.0 D GB apart from the name (which now is  "ACN  Final 
Virus Killer") and some texts (which were translated into Dutch).
 The version number was decreased for marketing reasons.

- Version 5.2GB (August 18th 1991)

 This  version was originally planned for an October release,  but due to  the 
expected sales boom in the middle of August (due to the "ST Format" Cover Disk 
project)  it  turned out to be handier to have an earlier  release.  And  it's 
quite a major improvement on the previous one if I may say so.

* Due to space problems,  the manual has been compressed, for which a separate 
  decompressor   is  also  supplied  (this  is  called   "MANUAL.PRG",   which 
  decompresses   the   file  "MANUAL.DAT"  into  another  disk   file   called 
  "MANUAL.TXT").
* Also,  a  separate  program  that  allows  for  half  meg  users  to  repair 
  bootsectors (doing this from the main program would need 1 meg at the least) 
  has  been included.  It is called "REPAIR.PRG" (go ahead,  praise me  on  my 
  originality).  This  was already mentioned in the 5.1 manual,  but now  it's 
  also actually present. The "UVK" program needs about 545 Kb to run with  the 
  data file included - the "REPAIR.PRG" program needs 320 Kb.
* Crash when UVK.PAK file not found has been eliminated.
* The "Populous Extra Data disk" has been taken out,  as this turned out to be 
  a small and harmless part of a Ghost virus (only the first bit,  so it could 
  not  copy - but booting with the disk may cause a crash),  resulting in  all 
  new  mutant Ghost viruses to be wrongly recognised as a Populous Extra  Data 
  disk.  This  is  now totally corrected.  The Populous Extra  Data  disk  (as 
  supplied  with  an issue of "The One" magazine) actually does  NOT  have  an 
  executable bootsector at all.
* Many  of the internal variables have been optimised and most user  input  is 
  now done with a neat routine.
* Pressing CONTROL while loading causes the UVK.PAK file not to be loaded.
* All code transferred to "GfA Basic" 3.6TT.
* When  a suspected bootsector is found,  one can now also have a look at  its 
  contents by means of an extra option in the warning alert box, "Look at it".
* The  bug in the slider of the 'repair' selector (you could not drag  it  all 
  the way down) is also corrected.
* In case you have an Overscan screen, Bigscreen or TT, you might want to test 
  the  fact  that the program should now support ANY resolution  that  has  at 
  least  640 pixels horizontally.  Previously,  TT users would have to use  ST 
  medium  or  high resolutions,  but they should now be able to  use  640*200, 
  640*400,  640*480 and even 1280*960! Any other big screen resolution  should 
  also be catered for,  so all screen output should be perfect there.  I  have 
  not tested it on ANY of these machines,  though,  so please write if  errors 
  occur (there's bound to be a lot).  I can take no responsibility for  people 
  who  bought  this version of the virus killer only because they  thought  it 
  worked on higher resolutions!  It should work, but just as well may not as I 
  have  NOT  tested  anything!  If you are a  reviewer,  please  refrain  from 
  mentioning this higher resolution compatibility (yet)!

 Its  main statistics:  899 recognized bootsectors,  56 recognized  bootsector 
viruses,  5 recognized link viruses, 32 recognized anti-viruses, 75 recognized 
special applications and 462 bootsectors can be restored.

- Version 5.2BRD (August 18th 1991)

 Identical to version 5.2GB apart from some very minor things.  This  version, 
however,  is marketed in Germany by IPV GmbH. It comes supplied with a printed 
German manual.

- Version 5.3GB (November 17th 1991)

 There will still some bugs present in version 5.2,  even though I  originally 
believed the program would be about full-proof by know.  Hardly so,  not  even 
after a total of four years of constant development!

* So all bugs that were discovered (thanks to many people,  especially Douglas 
  Comms customers!) have been removed.
* Screen layout on big screens has been improved,  and TT compatibility should 
  now be as good as it can possibly get.
* Some suggestions have been built in: Automatic bootvirus check when scanning 
  a whole floppy for link viruses, for example.
* Better recognition of damaged Bios Parameter Blocks is now assured as well.

 This  version  came  out about a month too early due  to  December  being  an 
awfully busy month with regard to University and stuff. Hope you don't mind.
 Its  main statistics:  917 recognized bootsectors,  57 recognized  bootsector 
viruses,  5  recognized  link  viruses,  32  recognized  anti-viruses  and  75 
recognized special applications. Up to 466 bootsectors can be restored.

- Version 5.3NL (November 17th 1991)

 Identical to version 5.3GB apart from the name (which now is "ACN Final Virus 
Killer") and some texts (which were translated into Dutch).
 Launched first at the HCC Days in Utrecht, The Netherlands.

- Version 5.4GB (March 29th 1992)

 As  the  previous version was finished ahead of  schedule,  longer  time  was 
available for this version. I'd like to believe it shows.

* Some last little bugs (mostly cosmetic ones with screen redraw and alert box 
  handling) were corrected.
* The bootsector scan code was optimised to gain yet another speed percentage.
* A  possible  85%  speed gain in the link  virus  partition  scan  department 
  through  the possibility of selecting 'scan executable files only' (as  link 
  virus practically never spread to non-executable files).
* 'Now  checking  for bootsector viruses' message included  during  bootsector 
  scan  that's automatically performed before scanning a floppy disk for  link 
  viruses.
* 'Repair  BPB' routine now supports High Density (HD) and Extra High  Density 
  (ED) disks.
* Inverted  values  in  system status screen are more  extensively  checked  - 
  "ALERT!!"  will  appear if a significant chance at  virus  infection  exists 
  whereas all other (most probably harmless) cases will remain like they  were 
  before (i.e. just inverted).
* All  text  put  together  in clusters so as  to  enable  instant  and  quick 
  translation  of the program into any language (contact the feedback  address 
  for translation requests).
* On  the  system status screen,  suspicious system variables can  be  checked 
  deeper  (the  values  of which should then be written down and  sent  to  us 
  instead of the actual AUTO folder programs and accessories that bend them  - 
  please mention which program did it). This can be done by clicking the mouse 
  pointer on the system variable name or the address behind it.
* Link  viruses 'entire partition' check may now be interrupted with UNDO  and 
  ESCAPE instead of only ESCAPE.
* Program  now  fully  ST  Book (ST in notebook  form)  compatible  with  full 
  recognition of the ST Book's internal ROM-disk software.
* C'T Virus recognition improved.

 Its main statistics:  1045 recognized bootsectors,  62 recognized  bootsector 
viruses,  5  recognized  link  viruses,  32  recognized  anti-viruses  and  81 
recognized special applications. Up to 506 bootsectors can be restored.
 On  March 16th,  two somewhat different cut-down demo versions of  this  were 
made: 5.4GB D STA for "ST Applications" and 5.4GB D STU for "Atari ST User".

- Version 5.4NL (March 29th 1992)

 Identical to version 5.4GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is now in Dutch.

- Version 5.4BRD (March 29th 1992)

 Identical to version 5.4GB,  with the exception of all text output,  which is 
now in German (translations by Egbert Meier of IPV GmbH).

- Version 5.5GB (July 4th 1992)

 The  manual  was fully rewritten.  Lots of inconsequential stuff  taken  out, 
revised  spelling,  new  layout,  more  clear  and  detailed  descriptions  of 
everything  (including  the antiviruses higher than 9 which I  had  previously 
forgot to include).

* It  can now be used as .TTP file or run with parameters from a command  line 
  interpreter  (refer to the "WORKING WITH THE ULTIMATE VIRUS KILLER"  chapter 
  for details).
* Crash while repairing 'general' bootsectors absolved.
* Repair screen can now also jump to titles starting with "1" through "9".
* Status  screen details can now be dumped on screen (by RIGHT  mouse  button) 
  and  on  printer  (by  keeping  CONTROL  pressed);  additional  pressing  of 
  ALTERNATE will send form feed to printer afterwards.
* In any extended alert box,  pressing the RIGHT mouse button will activate  a 
  pull-down  menu for access to desk accessories.  This menu is left again  by 
  pressing the same RIGHT mouse button.
* An ENORMOUS lot of bootsectors have been added,  thanks to Mike Mee  (cheers 
  man!)
* The system status screen now checks XBRA chains as far as possible;  keeping 
  CONTROL pressed during analysis will display the XBRA identifier instead  of 
  the application number.
* Better packer (Altair's "Atom Packer") used on most files and manual (manual 
  decompression programme updated accordingly).

 Its main statistics:  1205 recognized bootsectors,  66 recognized  bootsector 
viruses,  5  recognized  link  viruses,  36  recognized  anti-viruses  and  89 
recognized special applications. Up to 604 bootsectors can be restored.

- Version 5.5NL (July 4th 1992)

 Identical to version 5.5GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 5.5BRD (July 4th 1992)

 Identical to version 5.5GB,  with the exception of all text output,  which is 
in German.

- Version 5.6D BRD (August 19th 1992)

 This version was specially made for IPV GmbH. It's a German demo version made 
for the Dsseldorf Atari Messe. It was a cut-down version of version 5.6BRD as 
it was at that moment.
 Not to be confused with the REAL version 5.6BRD (see below).

- Version 5.6GB (September 29th 1992)

 The  file  structure on disk has changed,  mainly due to the  fact  that  the 
"Ultimate  Virus  Killer" disk is now double-sided,  allowing  twice  as  much 
space.  Manual is no longer compressed,  and the appendices have been put into 
separate files:  "HISTORY" for the version notes,  "APPLICAT" for the resident 
applications  that  are recognised,  "VIRUSES" for the complete  list  of  all 
viruses and anti-viruses,  and "REPAIR" for the list of bootsectors  contained 
in the internal library that can be repaired.

* The link virus scan now also recognizes compressed files if you want to, and 
  can warn when these are found.  An option has been added to the Command Line 
  Syntax to allow this to be used from that as well:  Parallel to the  "-",  a 
  "+"  may be used to switch on packer information.  Do note  that,  with  the 
  packer  information switched on,  the link virus scan becomes a LOT  slower! 
  The  extended packer information is always switched on when  checking  link-
  viruses manually!
* An alert box after disk write accesses has been included,  suggesting you to 
  write-protect the disk to minimize the chances of virus infection.
* Internal  program structure has been optimized so that I can now compile  it 
  within about 1 minute - that's 75% faster!
* Due to the fact that,  on some machines out there,  the system status screen 
  tends  to crash (totally disabling the use of the "Ultimate Virus  Killer"), 
  the initial appearance of this screen can be suppressed by keeping the RIGHT 
  SHIFT key pressed during booting until the first regular alert box appears.
* Internal recognition struction optimized (idea by Kai Holst!).
* The  system  status screen now displays XBRA codes by default,  if  any  are 
  found. Pressing CONTROL will only display the usual numbers.
* The  program  no  longer  hogs all memory (i.e.  it does  not  take  up  ALL 
  available memory).
* Executable MS-DOS disks are now analysed,  disabling virus programmers  from 
  evading the Virus Probability Factor algorithm by merely giving their  virus 
  code  certain  MS-DOS  bootcode  characteristics.  Normal  MS-DOS-compatible 
  disks, such as can be formatted when you have TOS 1.04 or higher, should NOT 
  be executable!
* Crash  with  TOS  1.04  TOS  Fixers  is  corrected  (these  programs  locate 
  themselves  in  privileged memory;  the virus killer tried to  access  that, 
  which caused bombs).

 Its main statistics:  1227 recognized bootsectors,  67 recognized  bootsector 
viruses,  5 recognized link viruses, 37 recognized anti-viruses, 94 recognized 
resident applications and 31 recognized packer formats.  Up to 612 bootsectors 
can be restored.
 PLEASE  NOTE:  The  programs  on the "Ultimate Virus Killer"  disk  are  also 
compressed  -  so when extended packer info is switched on during  link  virus 
scan,  these  files will trigger 'packer used' warnings as well.  Needless  to 
say,  there  is no need for alarm whatsoever in the cases of  these  "Ultimate 
Virus  Killer" files when you have legally obtained them,  as they  have  been 
checked for link virus infection before having been packed.

- Version 5.6USA (September 29th 1992)

 Identical to version 5.6GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 5.6NL (September 29th 1992)

 Identical to version 5.6GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 5.6BRD (September 29th 1992)

 Identical to version 5.6GB,  with the exception of all text output,  which is 
in German.

- Version 5.7GB (January 7th 1993)

 Some files were added to the disk:

* "VKILLER.CPX" is a module for the Atari Control Panel eXtended. Please refer 
  to  the  separate "CPX.TXT" file for full explanation and all  details  with 
  regard  to  this  exciting  new addition to  all  English  versions  of  the 
  "Ultimate  Virus  Killer"  package - at no  extra  cost!  All  those  German 
  reviewers kept on complaining about the fact that the program didn't work as 
  an accessory. Well, so now finally it's here. Well, sortof.
  The  Atari Extended Control Panel is a new version of the old Control  Panel 
  accessory.
* "YEAH.NIC" is a file containing an icon compatible with Gribnif's  "NeoDesk" 
  version  3.x  that  you can use to designate  the  "Ultimate  Virus  Killer" 
  program file with.

 And finally, ladies and gentlemen, these are the enhancements:

* Instead of just allowing you to check entire partitions or single files  for 
  link  viruses,  you can now also opt for an in-between thing that  allows  a 
  separate  folder  to be tree-scanned (i.e.  with all folders  in  it).  Just 
  select "file or folder" instead of "entire partition" and select the  folder 
  you desire to be scanned without actually clicking on a file.  Press "OK" in 
  the item selector to start checking, "Cancel" to abort.
* Bootsector  virus  scan speed optimized by 85%,  resulting in it  being  6.5 
  times faster, so that the diagnostic routines as such now take up an average 
  of  as  little as  about 0.27 seconds per bootsector (this used to  be  1.77 
  seconds).
* On  top  of that,  the recognition data line format is now up  to  20%  more 
  compact.
* Virus Probability Factor calculation is now a whoppin' 17 times faster (!).
* Program  works  on  half megabyte machines again  (version  5.6,  due  to  a 
  painfully obvious memory RESERVE error, only worked on 1 megabyte or more).
* Bug   with  perpetual  loop  if  'suspect  executable  MS-DOS  disk   found' 
  alleviated.
* Zorro Virus recognition improved to include all possible different  versions 
  of it (theoretically there can be thousands of different varieties!).
* Many  internal routines ruthlessly optimized,  resulting in about  10%  less 
  program  size (bringing it back to the approximate size of the  version  5.4 
  program).
* Linkvirus check with warnings (the ones that detect compressed programs) now 
  up to 42% faster.
* DESKTOP.INF file on disk now switches blitter on (if present, that is).
* The repair bootsector selector now has different and more flexible  keyboard 
  input  -  it will scan for the first title matching all the  characters  you 
  type  in  sequence,  only  going  back to the usual  mode  when  a  nonvalid 
  character is found.  If you type "STAND" it will go to the entries  starting 
  with  "STAND".  If you type "STANZ" it will find entries starting with  "S", 
  then  "ST,  then  "STA",  then  "STAN" and then "Z" (as there  is  no  title 
  starting with "STANZ",  it will then assume the old search mode and  display 
  the first item starting with the first non-valid character - in this case  a 
  "Z").  Pressing  "Backspace"  will  cause  the  buffer  to  be  emptied,  so 
  "Backspace"+"G",  for  example,  will  at any time jump to the  first  title 
  starting with a "G" as was the case with previous versions.
  Note that this has NOT been implemented in the REPAIR.PRG selector in  order 
  to preserve memory space.
* The  system status screen remembers its result values - second  and  further 
  activations of this screen will be lightning fast.
* A large amount of resident applications have been added in the system status 
  screen recognition - and others have been made better.  Thanks to Kai  Holst 
  there.
* This "HISTORY.TXT" file's layout has been enhanced - requested by Kai Holst, 
  the person whose name is mentioned more than mine in this file!
* The  keys  you  can  press in the system status  screen  have  been  changed 
  (again),  for the last time.  Keeping CONTROL pressed speeds up the  output. 
  Keeping  ALTERNATE pressed shows only the application ID numbers instead  of 
  XBRA codes when found.
* System Status Screen speed (with CONTROL pressed) 3 times faster.
* The  manual  was  updated - especially the trouble shooting  chart  and  the 
  chapters "SYSTEM STATUS SCREEN" and "WORKING WITH THE UVK".
* Check out the end of this file.

 All  speed  increases calculated above were performed on  a  bog-standard  ST 
running  at  the usual 8 Mhz.  Lots of thanks need to go  to  Stefan  Posthuma 
(mentioned earlier already) and Kai Holst (programmer of the "Antidote"  virus 
killer)  who  both helped me considerably with ideas for  speed  increase  and 
further program optimization.
 Its main statistics:  1326 recognized bootsectors,  68 recognized  bootsector 
viruses, 5 recognized link viruses, 38 recognized anti-viruses, 119 recognized 
resident applications and 33 recognized packer formats.  Up to 653 bootsectors 
can be restored.

- Version 5.7D GB

 Various demo versions have been released as of November 5th 1992, as internal 
program  re-structuring  basically  allows <100 Kb demo versions  to  be  made 
within a matter of minutes. A brief date history follows below.
 November 5th 1992: Merlin PD Library.
 November 25th 1992: ST Review Coverdisk Demo.
 
- Version 5.7USA (January 7th 1993)

 Identical to version 5.7GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 5.7NL (January 7th 1993)

 Identical to version 5.7GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 5.7BRD (January 7th 1993)

 Identical to version 5.7GB,  with the exception of all text output,  which is 
in German.

- Version 5.8GB (March 28th 1993)

 I had never guessed there were things left to be done.  As I had a period  of 
heavy University exams prior to the program's release,  however,  I got sudden 
amounts of unexpected coding inspiration (this happens often before exams,  at 
least with me). Hence the following additions and bug eliminations.

* There  were  one or two bugs in the previous version.  The RIGHT  shift  key 
  didn't actually skip the system status screen but the LEFT one did. Now this 
  is truly the RIGHT one. The DAY belonging to the current date was wrong. Now 
  it's OK again.
* Linkvirus scan is even faster. In version 5.7 there was a small 'bug' in the 
  routine that didn't succeed in speeding up things much.  Compared to version 
  5.6,  link virus scan is now over 3 times faster (as opposed to the previous 
  version only being almost 2 times faster).
* The  program  is  now  finally  Falcon  compatible.   Memory   Configuration 
  specification in the system status screen only works on ST,  however,  as TT 
  and  Falcon  configurations  seem never to have been  documented  by  Atari. 
  Information would be welcome!
* Disks  that  get  the '99% safe' message can now also  be  'looked  at'.  If 
  they're almost completely filled with zeroes or another value they need  not 
  be sent in for analysis - they're 100% safe then.
* Form feed added after bootsector file output to printer.
* When the "Ultimate Virus Killer" is used from hard disk,  it will keep track 
  of  its  activities (like total number of sessions,  total number  of  disks 
  checked and viruses killed,  that sort of thing). It will store these values 
  in a file called "UKV.HST". The new program file on the disk, "HISTORY.PRG", 
  displays this history file's contents.  Make sure the "HISTORY.PRG" file  is 
  in the same directory as the "Ultimate Virus Killer" and the "UVK.HST" file! 
  Your  display  needs to have 80 columns for this program to  display  things 
  properly. More columns will work too.
  !!  WHENEVER  YOU SEND IN (A) DISK(S),  PLEASE ADD A COPY OF YOUR  "UVK.HST" 
  FILE, CHEERS !!
* An  optional  file  has been added,  "UVK.CNF".  This file may  be  used  to 
  determine which file extensions executable files are allowed to have,  which 
  the "Ultimate Virus Killer" needs to know when checking an entire  partition 
  (or an entire folder) for link viruses. Please refer to the appropriate part 
  of the manual for further explanation.
* Data line format optimized even further!
* The  Atari Extended Control Panel modules (.CPX files) are executable  files 
  that have another structure than other,  ordinary program  files.  Basically 
  they are like regular program files with the different that they have a  512 
  byte  header.  When files with a .CPX or .CPZ (disabled .CPX) extension  are 
  checked,  this header is automatically skipped so that analysis proceeds  as 
  usual.
  The  Atari Extended Control Panel is a new version of the old Control  Panel 
  accessory.
* The  program file can be renamed to "UVK_5_8.ACC" in order to be used as  an 
  accessory.  Some  differences:  You  will have no possibility to  vieuw  the 
  system  status  screen and the options with the  configuration-and  history-
  files (explained above) are skipped.  The options 'look at it' (to look at a 
  bootsector)  and 'help' can be selected but have no effect.  Make  sure  the 
  "UVK.PAK" file and the "UVK_5_8.ACC" file are both in the root directory  of 
  your boot drive. The boot drive will usually be "C" if you have a hard disk, 
  or  "A" if you have none.  With bootsector data file loaded,  the  accessory 
  will take up a bit more than 700 Kb of memory,  so it won't work on half meg 
  machines and will barely be useful even on 1 meg.  With the bootsector  data 
  file not present in the same directory as the accessory,  memory consumption 
  will be slightly less than 400 Kb.
* The "WACOM" graphics pad is supported now.  All mouse input will be replaced 
  by the graphics pad import provided that the "TABLETT.PRG" driver program is 
  found in the same directory as the "Ultimate Virus Killer" program.  Do note 
  that the regular mouse is not reacted to then!
* Due to something or other, the "Signum D" virus was wrongly recognized. This 
  is now fixed.
* Version  1.1  of  the "Ultimate Virus Killer" CPX module  replaced  the  old 
  version 1.0. Please refer to the CPX manual for details on the changes.
* The English versions now also contain a special half-megabyte version of the 
  virus killer.

 Its main statistics:  1359 recognized bootsectors,  72 recognized  bootsector 
viruses, 5 recognized link viruses, 38 recognized anti-viruses, 126 recognized 
resident applications and 34 recognized packer formats.  Up to 658 bootsectors 
can be restored.

- Version 5.8D GB

 Demo version creation is still a doddle. Date history follows below.
 February 26th 1993.

- Version 5.8USA (March 28th 1993)

 Identical to version 5.8GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 5.8NL (March 28th 1993)

 Identical to version 5.8GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 5.8BRD (March 28th 1993)

 Identical to version 5.8GB,  with the exception of all text output,  which is 
in German.

- Version 5.9GB (June 6th 1993)

 In  the previous version there were many things left to  be  done.  Well,  it 
turned  out that I had done some things rather improperly.  So  this  version, 
apart from some new things and improved statistics, basically turned out to be 
a bug fix.  This is also the reason (apart from the sheer pending presence  of 
the summer season) for the earlier release date.

* Program can now REALLY be used as an accessory.  It worked fine on my system 
  previously,  for some reason or other, but usually caused weird messages and 
  sometimes  bombed  with  other  people.  Accessory  operation  has  a  small 
  disadvantage  I  would like to point out to you:  The internal GEM  'out  of 
  memory'  error  (which is a bug inside GEM) normally causes the  program  to 
  crash and exit,  but in accessory mode this locks up the entire system. Only 
  a  cold reset will help you then.  Depending on the size of  your  machine's 
  disk  cache this will happen when lots of files are being checked  for  link 
  viruses.
* If  you had to enter the date and time on medium resolution,  the text  size 
  was  too  big which looked sloppy and could hardly be read.  This  has  been 
  fixed.
* There   was  a  rather  very  serious  bug  (causing  bomb  crashing)   when 
  encountering  specific MS-DOS compatible disks that did NOT have a virus  on 
  them.  The ironic thing was that you could be sure not to have a virus on  a 
  disk of which the bootsector caused a crash!  Anyway,  this bug,  which  got 
  'built in' along with the advanced "Beilstein" virus recognition,  is  fixed 
  now.
* A  rather rare and subtlely different version of the "Uluru" link virus  was 
  discovered.  This  is now also recognized.  Credit for this goes to my  dear 
  colleague  Chris  Brookes.  This  virus is merely regarded  as  a  different 
  version  of  the  same  virus because either version seems  to  be  able  to 
  generate the other.
* The  half  megabyte version is now even smaller,  with all  repair  selector 
  routines  removed (these were in the separate REPAIR.PRG program  for  these 
  users anyway).
* While formatting a disk, "formatting..." appears on the screen.
* The  "REPAIR.PRG"  program for owners of machines with half  a  megabyte  of 
  memory  now  no longer supports keyboard control in  the  alert  boxes.  The 
  routines had to be removed in order for the ever increasing bootsector  data 
  file to fit in half a megabyte.
 
 Its main statistics:  1390 recognized bootsectors,  72 recognized  bootsector 
viruses, 5 recognized link viruses, 38 recognized anti-viruses, 130 recognized 
resident  applications  and  36 recognized packer  formats.  A  total  of  669 
different bootsectors can be restored.

- Version 5.9USA (June 6th 1993)

 Identical to version 5.9GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 5.9NL (June 6th 1993)

 Identical to version 5.9GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 5.9BRD (June 6th 1993)

 Identical to version 5.9GB,  with the exception of all text output,  which is 
in German.

- Version 6.0GB (October 3rd 1993)

 Finally  I  have  spent a lot of time on the program so now  it  is  entirely 
compatible  with GEM.  It should work in any resolution as long as it  has  at 
least 640 by 200 pixels,  with any Operating System (including "MultiTOS"), on 
any machine,  now and in the future.  I don't think the program has ever  been 
through so many enhancements and changes from one version to another.
 Finally, the "Ultimate Virus Killer" is ready for a new era of computing.

* All  non-GEM routines have been replaced by GEM routines,  based  on  Gregor 
  Duchalski's  "Flydials" library (which is a collection of  shareware  source 
  code routines that I'd advise every serious "GfA Basic" programmer to  use). 
  The address to obtain these routines at (they have a shareware  registration 
  fee of DM 30,-) is Baueracker 15a, W-44627 Herne, Germany.
* The  manual  has been revamped,  mainly adapted to the new  GEM  things  and 
  rephrasing of stuff like "Search'n'Destroy" to "Seek'n'Destroy" and  "Repair 
  disks" to "Restore disks". There are many more little changes though, and as 
  a whole it should be easier to understand now.
* There  was  a bug in the BPB repair routine,  causing a damaged  BPB  to  be 
  written  even  after  it having been  repaired.  Now  gone.  Thanks  to  Kai 
  "Antidote" Holst for finding this one.
* Extended  file  selector calls are used now when a TOS version  of  1.04  or 
  higher is found.
* Due to the ultra-comfortable [HELP] key support in the new GEM  environment, 
  the so-called permanent help mode has been discontinued.
* A new help screen has been added for the system status screen.
* The  meaning of the [CONTROL] key during system status screen  analysis  has 
  changed again (and for the absolutely final time): Pressing it will now slow 
  down analysis, and default display speed will be fast.
* Thanks to an optimization of the internal algorithms,  the extensive  system 
  status screen analysis speed has now been increased by 61%, of which 10% are 
  thanks to Martijn Wiedijk.
* Function-and cursor-key support exchanged for [ALTERNATE] key shortcuts.
* AES (Application Environment Services) version number now also displayed  in 
  extensive system check screen.
* Link virus scan now up to 74% faster.  Thanks to my good friend Kai for  the 
  golden  tip that took off 55%:  Never use any "GfA Basic" commands  such  as 
  SEEK,  OPEN,  CLOSE and BGET, but instead use the direct GEMDOS equivalents. 
  One  also has to use the DTA buffer instead of LOF(#x).  The other 19%  were 
  caused by some optimizing of my own.
* Bootsector virus scan is now a massive 63% faster.  Of these, 15% are due to 
  another tip by Kai:  Never use single-character RIGHT$ and LEFT$ but instead 
  use BYTE{} (beware for zero length strings though!).  Another 7% are due  to 
  the fact that the program no longer uses byte-length compares. The remaining 
  41%  are  the  result  of two rainy days filled with  heavy  coding  and  my 
  converting  the recognition data line format.  The dataline format  got  10% 
  smaller,  the actual bootsector scan suddenly almost ridiculously fast.  For 
  the  technically minded among you:  All regular string expressions  are  now 
  stored  as  CVI and CVL strings of the same (this gave  some  problems  with 
  values of 0,  4,  10, 13 and 34, but I worked a way around not being allowed 
  to use them).
  It is interesting to note that during one year of development (from  version 
  5.6 to 6.0) the bootsector virus scan speed has decreased from an average of 
  1.77  to  0.12  seconds of analysis needed per  sector,  which  is  a  speed 
  increase of over 90%!
* The  command line syntax didn't support the separate link virus  folder scan 
  apart from the single file or whole partition scan. Now it does.
* Additionally,  you can now also just feed a regular program name  (including 
  proper path and such) to the program.  If the entire command line as such is 
  found  as  a file somewhere,  all other routines will be  bypassed  and  the 
  program  will  check that particular file for link  viruses.  No  additional 
  parameters can be passed on. By default the program will wait for a key once 
  finished  and  will  also check for  packed  file  information.  This  works 
  especially excellently if you have extended desktops such as "NeoDesk".  You 
  can  then  even  drag the icon/filename of the file to  be  checked  on  the 
  "Ultimate Virus Killer" program icon if you want to.
* In  certain circumstances the accessory version could crash due to a bug  in 
  the internal "GfA Basic" MENU_REGISTER command.  This has now been  replaced 
  by an own menu register routine.
* Although the internal bootsector restore data file depacker routine is still 
  the  same (Altair's "Atom" packer version 3.5),  the actual program file  is 
  now no longer compressed.  This uses up some more disk space, of course, but 
  increases compatibility with various configurations,  Operating Systems  and 
  accessory  operation.  Please refer to the separate "PACKERS.TXT"  file  for 
  details of possible packers you can use yourself.
* The "Chameleon" accessory is now supported,  finally.  This is an  accessory 
  that  can  load and unload other accessories - such as the  "Ultimate  Virus 
  Killer"  when it is used as such.  "Chameleon" allows for accessories to  be 
  loaded  from other directories rather than the root directory of  your  boot 
  drive,  which  causes  problems  with most accessories  that  have  to  load 
  supplemental  files such as a resource file.  The "Ultimate  Virus  Killer", 
  when started as an accessory, will scan all current directories of all valid 
  partitions until it finds the "Ultimate Virus Killer" resource file. Do note 
  that these are all root directories, too, unless you have opened a window to 
  another  directory previously!  As a rule you should use the GEM desktop  to 
  open the window in which all the "Ultimate Virus Killer" files are and after 
  that use "Chameleon" to load the accessory.
* In the system status check,  both ST and TT RAM types are now supported  and 
  recognized,  as well as previously wrongly recognized regular ST-type memory 
  configurations (yes,  Frank,  this is for you!).  What can I say? Amazingly, 
  there  isn't  a *single* book that documents  this  stuff  correctly.  Here, 
  thanks go to H.W.A.M.  de Beer,  author of the most excellent Public  Domain 
  "SysInfo"  program - he supplied the information and source  code  necessary 
  for the proper implementation of all this.  When running the "Ultimate Virus 
  Killer"  with "MultiTOS",  due to memory protection stuff the memory  amount 
  found may not be correct as Mr. de Beer's routine can then not be used.
* The  birthday date format has been optimized.  Also,  100% of  all  possible 
  dates have one or several birthdays now.  The birthday lister,  by the  way, 
  will  be  disabled if you haven't got enough free memory  (i.e.  on  512  Kb 
  machines).
* The "DATA.PAK" datafile is no longer totally decompressed upon loading. Only 
  when a specific bootsector is restored,  the appropriate (tiny) part of  the 
  data file is decompressed and used.  In the current version this saves  over 
  140 Kb of memory,  i.e.  you now need over 140 Kb less to be able to use the 
  data file than before.
* Additionally,  it is now possible to use the whole program on half  megabyte 
  machines again.  You can even restore bootsectors, but this now requires you 
  to locate the "DATA.PAK" on disk so that the program can load and decompress 
  the  appropriate  part needed.  After that you are requested to  insert  the 
  actual  disk so that the program can write the bootsector to  disk.  You  no 
  longer  need  to  have  the  data file in  memory  to  be  able  to  restore 
  bootsectors,  even  though  having  it in memory will prove  to  be  easier, 
  especially when restoring more than one bootsector.
* Due  to the overall space savings,  the accessory version of  the  "Ultimate 
  Virus  Killer" will now use 520 Kb or 340 Kb of RAM,  with and  without  the 
  data file loaded respectively.
* The "Ultimate Virus Killer" CPX module has been updated to version 1.3.

 All  speed  increases are dedicated to Kai Holst,  who  has  been  ruthlessly 
irritating  me for at least a year now with regard to his virus  killer  being 
faster  than  mine.  Although  he has been driving me out of my  mind  in  the 
process,  if it hadn't been for him the "Ultimate Virus Killer" would still be 
the  ponderous dinosaur it was in the olden days.  At least the only  thing  I 
could compare, the link virus scan, is now 30% faster than his.

 This version's main statistics:  1486 recognized bootsectors,  73  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 137 
recognized resident applications and 43 recognized packer formats.  A total of 
710 different bootsectors can be restored.

- Version 6.0USA (October 3rd 1993)

 Identical to version 6.0GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 6.0NL (October 3rd 1993)

 Identical to version 6.0GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 6.1GB (January 8th 1994)

 After  the major reprogramming around version 6.0,  a few bugs had once  more 
crept in the program. These are now fixed. A summary of the changes follows.

* A rare wrong assignment of [UNDO] key shortcut alleviated.
* All birthday-related routines, resource trees and data removed. For those of 
  you  still  interested  in  that  kind  of  information,   try  getting  the 
  forthcoming "Brain Replacement Utility",  a powerful diary/organiser utility 
  with  an  enormous  birthday  and event  database.  This  is  a  forthcoming 
  shareware  program  that I will be putting on the UVK 6.3 disk if I  get  it 
  finished by then.
* There's  been  a bug in the program right from the beginning when  the  link 
  virus automatic scan was built in (March 1989).  It resulted in folders  not 
  being  scanned  completely  (usually  only around 10  files  per  folder  on 
  average).  Kai  found this frightful bug some time ago and I thought  I  had 
  already fixed it in the previous version.  Well,  I hadn't. But now it is! I 
  WOULD  STRONGLY ADVISE EVERYBODY TO RESCAN THEIR MEDIA ONE TIME  (especially 
  all hard disk partitions).
* Thanks to Mike Watson of Sinister Developments,  author of the "New  Depack" 
  utility,  just about twice the previous amount of packer formats can now  be 
  recognized (and some others recognized more efficiently).
* The program now supports a special extension in the configuration file  that 
  is  used  to  determine the minimum size a file must have  in  order  to  be 
  checked in the "check all files" link virus scan department. You can use any 
  of  the extensions you want for this (even multiple ones) but only the  last 
  one found will be used so it's best the use the very last entry for this.
  The format is ".XXX",  where "XXX" stands for the minimum size in  kilobytes 
  (i.e.  the  actual file size divided by 1024) from 0 to 999.  When  none  is 
  specified,  the  program  uses a default minimum size of  3  Kb  (i.e.  3072 
  bytes).  The larger the specified size,  the quicker the link virus scan but 
  THE LESS SAFE!
  In  all  cases fill up the value with zeroes to the left to  make  sure  the 
  length is 3 digits (so "123", "003" and "030" would be valid entries).
* Resource organisation is optimized. There used to be 2 resource files with a 
  total  size  of  over 60 Kb,  catering especially for  ST  medium  and  high 
  resolutions.  On  TT and Falcon modes with more than two  colours,  however, 
  their colours didn't look all too well.  Instead of adding a third  resource 
  file  with  proper colours I have spent some extra work  and  optimized  one 
  resource  file to cater for everything in exchange for the  program  looking 
  somewhat less aesthetic in medium resolution.  The resource file is now less 
  than  22 Kb and,  as there's only one now,  I have been able to  include  it 
  within the actual program. No separate resource files of any kind needed.
  An  added bonus is the fact that all resources are now drawn quicker and  no 
  longer  exceed  the legal 79 characters maximum width such  as  the  "System 
  Status Screen" did before.
* As the resource file is now included within the program,  there is no reason 
  to keep the program uncompressed (version 6.0 was not compressed due to  "Pa 
  Pack" not allowing an accessory run from "Chameleon" to load a resource). So 
  it's compressed again, using the aforementioned "Pa Pack".

 This version's main statistics:  1497 recognized bootsectors,  76  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 140 
recognized resident applications and 83 recognized packer version formats  (of 
a total of 27 different packers).  A total of 714 different bootsectors can be 
restored.

- Version 6.0D GB (January 8th 1994)

 The  first  demo version of the new GEM-compatible "Ultimate  Virus  Killer". 
Especially  made for the UK magazine "ST Format" cover disk this  time,  which 
had had no UVK demo version since July 1991.  Although it's a demo of  version 
6.1, the version number was decreased so as not to confuse people (?).

- Version 6.1USA (January 8th 1994)

 Identical to version 6.1GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 6.1NL (January 8th 1994)

 Identical to version 6.1GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 6.2GB (April 13th 1994)

 Another  rather  improved version.  Some additions and changes were  made  in 
reaction to a,  let's say,  'very critical' and not at all constructive review 
appearing in the Australian "Talking Atari" magazine. And I finally got around 
to doing something I had wanted to do for a long while...windows.

* It  now supports windows instead of dialogs at all times with the  exception 
  of the HELP dialog which was too big to allow for the window move bar at the 
  top.  The  resource  file has been adapted,  with the system  status  screen 
  having gone through a layout change that also makes things more clear.
* Buttons  additionally  supported by the [UNDO] key now have the  text  "(U)" 
  contained in them. The 'checkmark' of previous versions has disappeared.
* Misspelling   of  the  System  Status  Screen  Hdv_mediach  vector   address 
  corrected.
* "No Virus in Keyboard Processor" message in system status screen dumped.  No 
  virus can write itself to the keyboard processor, so it was just ballast.
* Apart  from  packed program files,  archives are  now  also  identified.  An 
  appropriate dialog box has been added, and a HELP screen adapted.
* Printing now works on the Falcon.  As a matter of fact, the program will use 
  a serial or parallel printer depending on which is detected.
* When  you  started with a nonvalid date and went through the time  and  date 
  dialog  boxes  to set it,  the day indication in further  dialog  boxes  was 
  wrong. This is now fixed.
* When a "99% safe disk" is found, there is now a fifth option, "Do Nothing".
* "HISTORY.PRG" program file is updated (to version 1.05). It will now work on 
  any  monitor  as  long as it displays a minimum of 80  columns  (640  pixels 
  width).  Previously  it worked ONLY on 80 columns,  and not on  all  systems 
  either.
* The  program can no longer be loaded from the "Chameleon" accessory  loader. 
  If  you want it to work anyway,  you have to decompress it first.  For  this 
  purpose  you  can  use  any of  the  available  Public  Domain  decompressor 
  utilities  such as "Naughty Depacker",  "Multi Depacker" or "New  Depacker". 
  Check out your local PD library.

 This  version's main statistics:  1509 recognized bootsectors (yes,  we  have 
gone past the 1500 mark!), 79 recognized bootsector viruses, 5 recognized link 
viruses,  40 recognized anti-viruses, 155 recognized resident applications and 
89  recognized  packer/archive  version formats (of a total  of  33  different 
packers/archivers). A total of 718 different bootsectors can be restored.

- Version 6.2USA (April 13th 1994)

 Identical to version 6.2GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 6.2NL (April 13th 1994)

 Identical to version 6.2GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 6.3GB (July 17th 1994)

 It  was  hot  and  I  had a dozen things  to  do.  Nonetheless  I  set  aside 
considerable time to the finishing of this version.

* A  decryption  engine has been developed to make sure  encrypted  bootsector 
  viruses  will also have a more valid "Virus Probability  Factor"  calculated 
  (for  example,  the "Zorro" and "Macumba" viruses used to have a VPF of  0%, 
  now a massive 110%).
* This "HISTORY.TXT" file has been decreased in size somewhat by omitting  all 
  version  notes prior to 5.1 (i.e.  before the program was  called  "Ultimate 
  Virus Killer").
* The CPX module had quite a serious bug - no matter which bootsector you  had 
  analysed by it,  it always wrongly identified it as an "ACA Virus".  This is 
  now fixed (CPX module version 1.41).
* Some window redraw errors ("now checking..." and "restoring...") fixed.
* A bug in the "Beilstein" virus recognition is now fixed.
* A bug in the printer output routines fixed (parallel printers were addressed 
  as :LST instead of :PRN).

 This version's main statistics:  1532 recognized bootsectors,  83  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 165 
recognized  resident  applications and 89  recognized  packer/archive  version 
formats  (of  a  total of 33 different  packers/archivers).  A  total  of  735 
different bootsectors can be restored.

- Version 6.3USA (July 17th 1994)

 Identical to version 6.3GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates.

- Version 6.3NL (July 17th 1994)

 Identical to version 6.3GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output, which is in Dutch.

- Version 6.3GB D

 A few demo versions of this have been released,  all fairly (actually  almost 
exactly) similar to version 6.2 but with a higher version number.
 May 6th 1994:  For the German company ROMWARE GmbH,  for a Public Domain  and 
Shareware CD ROM project.
 May 18th 1994: For the English magazine "ST Handbook" cover disk.

- Version 6.4GB (January 22nd 1995)

 Sorry,  folks,  but  yours truly has succeeded in mucking up his  life  quite 
totally  in  a mere two weeks somewhere in September 1994.  No  longer  living 
together  with my now ex-girlfriend Miranda,  needed to find another place  to 
live in a town riddled with people seeking the same,  and the new Light of  my 
Life moved to study at Bristol University until June 1995.  I had little  time 
to  finish  version  6.4  on schedule (originally  October  1994)  in  between 
searching  for a new abode and writing letters to Karin in order to  keep  her 
Light a Light Ablaze.
 But it's there now.

* It's  checked for "Geneva" compatibility,  and it works (hadn't expected  it 
  not to,  really). Keyboard shortcut support (most motably [UNDO] and [HELP]) 
  gets mucked up,  though,  because "Geneva" has different ideas about all  of 
  this and wants to assign them itself,  too. This can be switched off via the 
  "Geneva" task manager for "UVK", so you'd better.
* There  was a bug in the recognition of LZH archives when checking  for  link 
  viruses. This has been fixed.
* "ERGOpro!" xref executed, some stuff discarded consequently.
* [CONTROL] and [ALTERNATE] explanation text added in system check screen.
* Recognition of disk-TOS 4.92 added.
* In the linkvirus check, partition ID is now also added to the displayed file 
  name.
* Longer (>61 characters) filenames in linkvirus check are now displayed in  a 
  format similar to e.g. "E:\FOLDER\....\NAME.TXT".
* Internal  system  check  and  bootsector  recognition  data  lines   further 
  compressed, though this time not as drastically.
* When repeated bootsector virus checks on drive B were made, the program each 
  time  defaulted  back to drive A in the drive selection menu.  This  is  now 
  fixed  -  A remains A and B remains B unless altered by the  user,  and  any 
  partition as of C will automatically cause the following one to be  selected 
  on  the  next run.  In order to check your entire system for  all  kinds  of 
  viruses  on executable files (including those on drive A) you only  actually 
  need to use the mouse twice (once to select "linkviruses" for drive  A,  and 
  the  second  time to select the first of the  hard  disk  partitions,  "C"); 
  everything else is done by pressing [RETURN] whenever a dialog box appears.
* When an encrypted suspicious bootsector is found,  this is decrypted  before 
  the "virus probability factor" is calculated.  Nothing new here.  What  *is* 
  new,  however,  is that this routine has been debugged to handle a  specific 
  weird case.
* Atari's  "No  Roach" bootsectors are now correctly recognised in  all  their 
  incarnations.

 This version's main statistics:  1573 recognized bootsectors,  89  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 171 
recognized  resident  applications and 89  recognized  packer/archive  version 
formats  (of  a  total of 33 different  packers/archivers).  A  total  of  742 
different bootsectors can be restored.

- Version 6.4USA (January 22nd 1995)

 Identical to version 6.4GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates in the United States of America.

- Version 6.4NL (January 22nd 1995)

 Identical to version 6.4GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output,  which is in Dutch. Made for distribution in the 
Netherlands by ACN.

- Version 6.4F (March 22nd 1995)

 Identical to version 6.4GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution in  France 
by Compo S.A.R.L.

- Version 6.4BRD (March 22nd 1995)

 Identical to version 6.4GB,  with the exception of all text output,  which is 
in German. Made for distribution in Germany by Compo Software GmbH.

- Version 6.5GB (April 20th 1995)

 Yet another new version, for the most part finished on a day when the sun was 
shining so much it was ridiculous.

* A  different GEMDOS initialisation method was used,  to prevent the  program 
  from bombing out during link virus search. I would like to note that this is 
  due to GEMDOS not handling stuff correctly,  causing internal GEMDOS  memory 
  to  run out when too many files have been opened and  closed.  Because  this 
  bug  in GEMDOS seems persistently absent in Falcon TOS 4.04 I  haven't  been 
  able  to  try verify if it works now.  I just hope it  does...  In  case  it 
  doesn't, try using the FOLDR100.PRG that is also on the disk. You can rename 
  it to more folders, up to 999 (FOLDR999.PRG).
* Another thing I built in but haven't been able to test because I haven't got 
  the required hardware:  Atari SLM laser printer output support.  It *should* 
  work  when  you  have  "Diablo" driver  version  1.4  or  higher  installed. 
  Previously, only serial and parallel printer output was supported.
* During the translation of the program into German,  a few text  malfunctions 
  got discovered. These have been discovered in the others, now, too.
* Due to the discovery of a slightly mutant version of the "P.M.S." virus that 
  was in itself not much different at all,  the recognition of this virus  has 
  been improved and made more universal.

 This version's main statistics:  1584 recognized bootsectors,  89  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 175 
recognized  resident  applications and 89  recognized  packer/archive  version 
formats  (of  a  total of 33 different  packers/archivers).  A  total  of  747 
different bootsectors can be restored.

- Version 6.5USA (April 20th 1995)

 Identical to version 6.5GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates in the United States of America.

- Version 6.5NL (April 20th 1995)

 Identical to version 6.5GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output,  which is in Dutch. Made for distribution in the 
Netherlands by ACN.

- Version 6.6GB (August 2nd 1995)

 Life has been getting better and better.  The "Ultimate Virus Killer Book" is 
now finally finished (about three years overdue) and available!  Karin is back 
in the Netherlands for good and we're,  as they say,  as happy as can be. This 
version experienced about a month's delay,  but that can all be blamed on  the 
summer  and  the  fact  that,  for  the  second  year  running,  average  July 
temperatures were higher than they'd been in 200 years...

* Most importantly,  the bomb crash in the link virus check (whole  partition) 
  has  finally been fixed.  I still don't know how it could occur,  but as  it 
  turned  out  the link virus check sometimes seemed to want to check  a  file 
  with  a spaced-out file name that didn't exist.  GEMDOS apparently feeds  it 
  this name occasionally.  I am quite sure it's a bug in GEMDOS,  actually, or 
  perhaps in "GfA Basic", so the virus killer now first checks whether it gets 
  a  valid  filename before it tries to open a file.  It turned  out  to  have 
  nothing to do with the FOLDR100.PRG thing - the internal GEMDOS memory pool.
  Thanks  to  P.  van  Zanten  for allowing me to use  his  system  one  sunny 
  afternoon  so that I could fix it on a system where the error  occurred  all 
  the time (you see, it never appeared on mine).
* The BIOS Parameter Block Repair parameters have been extended.  "Sectors per 
  Cluster" now caters for 1, 2, 4 and 8; "Directory Entries" now caters for 16 
  right through to 112 in steps of 16 (such as is possible with the  "FastCopy 
  Pro" format option).
* One evening was particularly well spent:  The system status check screen has 
  been drastically reorganised internally.  The system is now checked with 45% 
  speed increase.  A few recognitions have been improved (such as those of the 
  Horror, DJA, Pashley, Signum A, Maulwurf, Megaguru and Freeze viruses), some 
  others better documented. APPLICAT.TXT file has been updated accordingly.
* Extended  output obtained when clicking on inverted addresses in the  system 
  status  screen now has a different format,  easier for me to work with  (for 
  those  interested:  Absolute addresses that can vary immensely are  filtered 
  out).
* Most bootsector virus scan dialog boxes displaying some kind of "result" now 
  have  an  extra  button added:  "Look at it".  You can  now  look  at  every 
  interesting  bootsector that comes along,  including those with a  virus  on 
  them.

 This version's main statistics:  1591 recognized bootsectors,  93  recognized 
bootsector viruses, 5 recognized link viruses, 40 recognized anti-viruses, 179 
recognized  resident  applications and 89  recognized  packer/archive  version 
formats  (of  a  total of 33 different  packers/archivers).  A  total  of  747 
different bootsectors can be restored.

- Version 6.6USA (August 2nd 1995)

 Identical to version 6.6GB,  with the exception of the main menu address, the 
date entry format and selected text changes.  Made for distribution by  Oregon 
Research Associates in the United States of America.

- Version 6.6NL (August 2nd 1995)

 Identical to version 6.6GB,  with the exception of the name ("ACN Final Virus 
Killer") and all text output,  which is in Dutch. Made for distribution in the 
Netherlands by ACN.

- Version 6.7GB (Approximately October 1995)

 Or: What might occur in future updates.

* When  using  the  program  as  a  desk  accessory,   it  might  cause  other 
  (improperly   programmed)  accessories  to  crash  during  the   time   it's 
  decompressing.  This  can  be solved by decompressing  the  "Ultimate  Virus 
  Killer"  file beforehand.  This can be done with any of  many  decompression 
  utilities available in the Public Domain, such as "Multi Depacker", "Naughty 
  Depack" and "New Depack".  This problem may be addressed more eloquently  in 
  future versions, and programmer's suggestions to this effect are welcomed.
* An additional tool will be written that allows for any files with ZIP,  ZOO, 
  ARC,  LZH  or  ARJ  extensions (i.e.  archived files)  to  be  automatically 
  dearchived into a buffer directory and,  using the existing UVK command line 
  options,  checked for link viruses.  This will only be of use for people who 
  own a hard disk, of course (but which serious user doesn't these days?).
* To evade problems with "MultiTOS" memory protection,  no system RAM check or 
  resident illegally reset-resistant programs check is executed in the  system 
  status  screen when this multi-tasking system is found.  These checks  still 
  happen with "MultiGEM" and "Magic" as far as I know,  so these might lead to 
  crashes  if memory protection is enabled.  No problems occur with  "Geneva". 
  Remember  you can skip the entire system status screen at bootup by  keeping 
  the [RIGHT SHIFT] key pressed during booting!  I plan to look at "Magic"  in 
  particular for the next version.
* The  general statistics will be enhanced as much as they can,  and  possible 
  bugs will be discarded.

 Do  note:  Your suggestions and bug reports WILL be read and ARE  taken  into 
consideration!

 And that's it for this version's history bit.
